package io.visus.orbis

import android.app.Application
import io.visus.orbis.di.appModule
import io.visus.orbis.feature.orb.di.orbModule
import org.koin.android.ext.koin.androidContext
import org.koin.android.ext.koin.androidLogger
import org.koin.core.context.startKoin

class OrbisApplication : Application() {
    override fun onCreate() {
        super.onCreate()

        startKoin {
            androidLogger()
            androidContext(this@OrbisApplication)
            modules(appModule, orbModule)
        }
    }
}
